Package org.apache.lucene.search

## Interface CheckedIntConsumer<T extends Exception>

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CheckedIntConsumer<T extends Exception>

  Like `IntConsumer`, but may throw checked exceptions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(int value)` | Process the given value.

- - ### Method Detail

    - #### accept

          void accept​(int value)
               throws T extends Exception

      Process the given value.
      Throws:
        `T extends Exception`
      See Also:
        `IntConsumer.accept(int)`